Package: readahead
Version: 1:0.20050517.0220-1
Tags: patch
For automatic update of the readahead file list, it would be helpful
if one did not have to edit the grub configuration, but could get away
by touching a file on the disk to document that one profiling run
should be executed on the next boot.
I propose to use /etc/readahead/profile-once for this purpose, and to
use this patch to implement it. Julian, what is your view on this?
With it, we in Debian Edu could just touch that file at the end of the
installation to make sure the future boots are optimized.
diff -ur readahead-list-1.20060421.1016/debian/readahead-desktop.init
readahead-list-1.20060421.1016-new/debian/readahead-desktop.init
--- readahead-list-1.20060421.1016/debian/readahead-desktop.init
2008-05-02 09:26:22.000000000 +0200
+++ readahead-list-1.20060421.1016-new/debian/readahead-desktop.init
2008-05-02 09:25:07.000000000 +0200
@@ -43,7 +43,7 @@
# If "profile" is placed on the kernel command-line we watch the boot
# sequence and generate new readahead lists, rather than read the lists
- if ! grep -q "profile" /proc/cmdline; then
+ if ! grep -q "profile" /proc/cmdline || test -f
/etc/readahead/profile-once; then
log_begin_msg "Reading files needed to boot (second stage)..."
if /sbin/start-stop-daemon --start --quiet \
--pidfile /var/run/readahead-list.bogus \
diff -ur readahead-list-1.20060421.1016/debian/readahead.init
readahead-list-1.20060421.1016-new/debian/readahead.init
--- readahead-list-1.20060421.1016/debian/readahead.init 2008-05-02
09:26:22.000000000 +0200
+++ readahead-list-1.20060421.1016-new/debian/readahead.init 2008-05-02
09:25:18.000000000 +0200
@@ -32,7 +32,7 @@
# If "profile" is placed on the kernel command-line we watch the boot
# sequence and generate new readahead lists, rather than read the lists
- if ! grep -q "profile" /proc/cmdline; then
+ if ! grep -q "profile" /proc/cmdline || test -f
/etc/readahead/profile-once; then
log_begin_msg "Reading files needed to boot..."
if /sbin/start-stop-daemon --start --quiet \
--pidfile /var/run/readahead-list.bogus \
diff -ur readahead-list-1.20060421.1016/debian/stop-readahead.init
readahead-list-1.20060421.1016-new/debian/stop-readahead.init
--- readahead-list-1.20060421.1016/debian/stop-readahead.init 2008-05-02
09:26:22.000000000 +0200
+++ readahead-list-1.20060421.1016-new/debian/stop-readahead.init
2008-05-02 09:25:26.000000000 +0200
@@ -22,6 +22,7 @@
case "$1" in
start)
+ rm -f /etc/readahead/profile-once
if [ -f /var/run/readahead-watch-boot.pid ]; then
/sbin/start-stop-daemon --stop --quiet --oknodo \
--pidfile /var/run/readahead-watch-boot.pid
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]